SND_PCM_TRIGGER_DONE(9)

NAME
snd_pcm_trigger_done - Mark the master substream

SYNOPSIS

void snd_pcm_trigger_done(struct snd_pcm_substream * substream, struct snd_pcm_substream * master);

ARGUMENTS

substream
    the pcm substream instance

master
    the linked master substream

DESCRIPTION

When multiple substreams of the same card are linked and the hardware supports the single-shot operation, the driver calls this in the loop in snd_pcm_group_for_each_entry for marking the substream as “done”. Then most of trigger operations are performed only to the given master substream.

The trigger_master mark is cleared at timestamp updates at the end of trigger operations.

COPYRIGHT